Bug 256861 - [NEW PORT] math/polymake: Software package for research in polyhedral geometry
Summary: [NEW PORT] math/polymake: Software package for research in polyhedral geometry
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://polymake.org/doku.php/news/re...
Keywords: feature, needs-qa
Depends on:
Blocks:
 
Reported: 2021-06-27 15:13 UTC by Philipp Ost
Modified: 2021-08-24 21:59 UTC (History)
2 users (show)

See Also:
bsd: maintainer-feedback+


Attachments
New port: math/polymake (78.54 KB, patch)
2021-06-27 15:13 UTC, Philipp Ost
no flags Details | Diff
New port: math/polymake (78.62 KB, patch)
2021-07-13 21:35 UTC, Philipp Ost
no flags Details | Diff
New port: math/polymake (79.64 KB, patch)
2021-08-23 22:36 UTC, Philipp Ost
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Ost 2021-06-27 15:13:37 UTC
Created attachment 226078 [details]
New port: math/polymake

This is a new port of polymake, a software package for research in polyhedral geometry. A previous version was removed from the ports tree in r358827.

Potential issue: 'portlint -A' warns about my use of PLIST_FILES in the port's Makefile. This concerns a single machine and installation specific file. It is the most easy solution I came up with.


'poudriere testport' runs without errors using a 12.2-Release jail, both on amd64 and i386 (though I had to set PPL=off on the latter because it failed to extract the ppl package). The port compiles and installs without problems on 12.2-Stable amd64 and 11.4-Release i386.


Thanks to Benjamin Lorenz from the polymake development team for the patch to install.pl.
Comment 1 Philipp Ost 2021-07-13 21:35:16 UTC
Created attachment 226436 [details]
New port: math/polymake

Change the default options to include lrslib on all platforms except i386 and powerpc.

Everything else is unchanged.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-14 02:03:11 UTC
Thank you for the report and patch Philipp

If this port was based on the previous port, could you include the patch as a diff against the last version of the port?
Comment 3 Philipp Ost 2021-07-14 18:36:59 UTC
This is an entirely new port written from scratch by me. I was only made aware of a previous version by Thierry when asking for help with some problems I had (c. f. https://lists.freebsd.org/archives/freebsd-ports/2021-June/000170.html).
Comment 4 Philipp Ost 2021-08-23 22:36:20 UTC
Created attachment 227392 [details]
New port: math/polymake

Changes:
- add entry to math/Makefile
- add libnormaliz option (enabled by default)
Comment 5 Yuri Victorovich freebsd_committer 2021-08-24 17:10:26 UTC
I made some adjustments:

* Since this is a resurrected port we keep the 'Created by:' line. Such lines aren't added any more but old ones can be only removed by the original person, ad per portmgr@.

* Replaced some .if xx instructions with option helpers.

* Strip libexec/polymake/lib/ideal.so unconditionally because it is installed unconditionally.

* Remove redundant braces in the test target.


Thank you for porting PolyMake to FreeBSD!
Comment 6 commit-hook freebsd_committer 2021-08-24 17:11:35 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2233fbcbff3bdd41c921917c1a16acfaf549a5e8

commit 2233fbcbff3bdd41c921917c1a16acfaf549a5e8
Author:     Yuri Victorovich <yuri@FreeBSD.org>
AuthorDate: 2021-08-24 16:42:22 +0000
Commit:     Yuri Victorovich <yuri@FreeBSD.org>
CommitDate: 2021-08-24 17:10:13 +0000

    math/polymake: Re-add port: Software package for research in polyhedral geometry @ version=4.4

    PR:             256861
    Submitted by:   Philipp Ost <bsd@philippost.de> (original version)

 MOVED                                              |    1 -
 math/Makefile                                      |    1 +
 math/polymake/Makefile (new)                       |  197 +++
 math/polymake/distinfo (new)                       |    3 +
 math/polymake/files/patch-Makefile (new)           |   20 +
 math/polymake/files/patch-support_install.pl (new) |   11 +
 math/polymake/pkg-descr (new)                      |    8 +
 math/polymake/pkg-plist (new)                      | 1501 ++++++++++++++++++++
 8 files changed, 1741 insertions(+), 1 deletion(-)
Comment 7 Yuri Victorovich freebsd_committer 2021-08-24 21:58:44 UTC
Committed, thanks!
Comment 8 commit-hook freebsd_committer 2021-08-24 21:59:27 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=975dd5cfa15e57b19dff0c7f0f5dffcc4324d94b

commit 975dd5cfa15e57b19dff0c7f0f5dffcc4324d94b
Author:     Philipp Ost <bsd@philippost.de>
AuthorDate: 2021-08-24 21:57:30 +0000
Commit:     Yuri Victorovich <yuri@FreeBSD.org>
CommitDate: 2021-08-24 21:58:50 +0000

    math/polymake: Minor Makefile improvement

    PR:             256861

 math/polymake/Makefile | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)